<div class="container">
    <div [hidden]="submitted">
        <h1>Add Art</h1>
    <form (ngSubmit)="onSubmit()" novalidate [formGroup]="myform">
  
            <select formControlName="artCategory" [value]="artCategory" #person_name>
                <option *ngFor="let c of categories" [value]="c">
                {{ c }}
                </option>
            </select>


            <div>
                <label>Title</label><br>
                <input type="text" formControlName="title" required>
                <div *ngIf="title.errors && (title.dirty || title.touched)">
                    <div class="alert alert-danger" *ngIf="title.errors.required">Title is required</div>
                </div>
            </div>

            <div>
                <label>Artist</label><br>
                <input type="text" formControlName="artist" required>
                <div *ngIf="artist.errors && (artist.dirty || artist.touched)">
                    <div class="alert alert-danger" *ngIf="artist.errors.required">Artist is required</div>
                </div>
            </div>

            <div>
                <label>Technique</label><br>
                <input type="text" formControlName="technique" required>
                <div *ngIf="technique.errors && (technique.dirty || technique.touched)">
                    <div class="alert alert-danger" *ngIf="technique.errors.required">Technique is required</div>
                </div>
            </div>

            <div>
                <label>Price</label><br>
                <input type="number" formControlName="price" required>
                <div *ngIf="price.errors && (price.dirty || price.touched)">
                    <div class="alert alert-danger" *ngIf="price.errors.required">Price is required</div>
                </div>
            </div>

            <div>
                <label>Dimension</label><br>
                <input type="text" formControlName="dimension" required>
                <div *ngIf="dimension.errors && (dimension.dirty || dimension.touched)">
                    <div class="alert alert-danger" *ngIf="dimension.errors.required">Dimension is required</div>
                </div>
            </div>

            <div>
                <label>Picture Url</label><br>
                <input type="text" formControlName="pictureUrl" required>
                <div *ngIf="pictureUrl.errors && (pictureUrl.dirty || pictureUrl.touched)">
                    <div class="alert alert-danger" *ngIf="pictureUrl.errors.required">Picture Url is required</div>
                </div>
            </div>

            <div>
                <label>Category</label><br>
                <input type="text" formControlName="category" required>
                <div *ngIf="category.errors && (category.dirty || category.touched)">
                    <div class="alert alert-danger" *ngIf="category.errors.required">Category is required</div>
                </div>
            </div>

        <button type="submit" class="btn btn-success" [disabled]="!myform.valid">Submit</button>
    </form>
    </div>
</div>